diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -2409,215 +2412,214 @@ G .088(peration is applied to)-2.588 F
 144 220.8 S 1.304(panded and the longest match of).15 F F1(pattern)3.804
 E F0(ag)3.804 E 1.304(ainst its v)-.05 F 1.304(alue is replaced with)
 -.25 F F1(string)3.804 E F0 6.304(.I)C 3.804(fI)-6.304 G(pattern)-3.804
-E F1(be)144 232.8 Q 1.33(gins with)-.4 F F2(/)3.83 E F1 3.83(,a)C 1.33
-(ll matc)-3.83 F 1.33(hes of pattern ar)-.15 F 3.831(er)-.37 G 1.331
-(eplaced with string)-4.201 F 6.331(.N)-.15 G 1.331
-(ormally only the \214r)-6.331 F 1.331(st matc)-.1 F 3.831(hi)-.15 G(s)
--3.831 E -.37(re)144 244.8 S 2.692(placed. If).37 F .192(pattern be)
-2.692 F .191(gins with)-.4 F F2(#)2.691 E F1 2.691(,i)C 2.691(tm)-2.691
-G .191(ust matc)-2.691 F 2.691(ha)-.15 G 2.691(tt)-2.691 G .191(he be)
--2.691 F .191(ginning of the e)-.4 F .191(xpanded value of par)-.2 F
-(am-)-.15 E(eter)144 256.8 Q 6.048(.I)-1.11 G 3.548(fp)-6.048 G 1.048
-(attern be)-3.548 F 1.048(gins with)-.4 F F2(%)3.548 E F1 3.548(,i)C
-3.548(tm)-3.548 G 1.048(ust matc)-3.548 F 3.548(ha)-.15 G 3.548(tt)
--3.548 G 1.048(he end of the e)-3.548 F 1.049(xpanded value of par)-.2 F
-(ameter)-.15 E 6.049(.I)-1.11 G(f)-6.049 E 2.057(string is null, matc)
-144 268.8 R 2.057(hes of pattern ar)-.15 F 4.557(ed)-.37 G 2.057
-(eleted and the)-4.557 F F2(/)4.557 E F1 2.057
-(following pattern may be omitted.)4.557 F(If)7.056 E(par)145.25 280.8 Q
-(ameter)-.15 E F0(is)3.328 E F2(@)2.598 E F0(or)2.598 E F2(*)2.598 E F0
-2.598(,t)C .098(he substitution operation is applied to each positional\
- parameter in turn, and)-2.598 F .64(the e)144 292.8 R .64
-(xpansion is the resultant list.)-.15 F(If)5.64 E F1(par)4.39 E(ameter)
--.15 E F0 .64(is an array v)3.87 F .64(ariable subscripted with)-.25 F
-F2(@)3.14 E F0(or)3.14 E F2(*)3.14 E F0 3.14(,t)C(he)-3.14 E 1.446(subs\
-titution operation is applied to each member of the array in turn, and \
-the e)144 304.8 R 1.447(xpansion is the)-.15 F(resultant list.)144 316.8
-Q F2(Command Substitution)87 333.6 Q F1 1.698(Command substitution)108
-345.6 R F0(allo)4.198 E 1.697
-(ws the output of a command to replace the command name.)-.25 F 1.697
-(There are tw)6.697 F(o)-.1 E(forms:)108 357.6 Q F2($\()144 379.2 Q F1
+E F1(be)144 232.8 Q 1.331(gins with)-.4 F F2(/)3.831 E F1 3.831(,a)C
+1.331(ll matc)-3.831 F 1.331(hes of pattern ar)-.15 F 3.831(er)-.37 G
+1.331(eplaced with string)-4.201 F 6.33(.N)-.15 G 1.33
+(ormally only the \214r)-6.33 F 1.33(st matc)-.1 F 3.83(hi)-.15 G(s)
+-3.83 E -.37(re)144 244.8 S 2.691(placed. If).37 F .191(pattern be)2.691
+F .191(gins with)-.4 F F2(#)2.691 E F1 2.691(,i)C 2.691(tm)-2.691 G .191
+(ust matc)-2.691 F 2.691(ha)-.15 G 2.691(tt)-2.691 G .191(he be)-2.691 F
+.191(ginning of the e)-.4 F .192(xpanded value of par)-.2 F(am-)-.15 E
+(eter)144 256.8 Q 6.049(.I)-1.11 G 3.549(fp)-6.049 G 1.049(attern be)
+-3.549 F 1.049(gins with)-.4 F F2(%)3.549 E F1 3.549(,i)C 3.548(tm)
+-3.549 G 1.048(ust matc)-3.548 F 3.548(ha)-.15 G 3.548(tt)-3.548 G 1.048
+(he end of the e)-3.548 F 1.048(xpanded value of par)-.2 F(ameter)-.15 E
+6.048(.I)-1.11 G(f)-6.048 E 2.056(string is null, matc)144 268.8 R 2.057
+(hes of pattern ar)-.15 F 4.557(ed)-.37 G 2.057(eleted and the)-4.557 F
+F2(/)4.557 E F1 2.057(following pattern may be omitted.)4.557 F(If)7.057
+E(par)145.25 280.8 Q(ameter)-.15 E F0(is)3.329 E F2(@)2.599 E F0(or)
+2.598 E F2(*)2.598 E F0 2.598(,t)C .098(he substitution operation is ap\
+plied to each positional parameter in turn, and)-2.598 F .64(the e)144
+292.8 R .64(xpansion is the resultant list.)-.15 F(If)5.64 E F1(par)4.39
+E(ameter)-.15 E F0 .64(is an array v)3.87 F .64
+(ariable subscripted with)-.25 F F2(@)3.14 E F0(or)3.14 E F2(*)3.14 E F0
+3.14(,t)C(he)-3.14 E 1.446(substitution operation is applied to each me\
+mber of the array in turn, and the e)144 304.8 R 1.446(xpansion is the)
+-.15 F(resultant list.)144 316.8 Q F2(Command Substitution)87 333.6 Q F1
+1.697(Command substitution)108 345.6 R F0(allo)4.197 E 1.697
+(ws the output of a command to replace the command name.)-.25 F 1.698
+(There are tw)6.698 F(o)-.1 E(forms:)108 357.6 Q F2($\()144 379.2 Q F1
 (command)A F2(\))1.666 E F0(or)108 391.2 Q F2(`)144 403.2 Q F1(command)A
-F2(`)A(Bash)108 420 Q F0 .019(performs the e)2.519 F .019(xpansion by e)
--.15 F -.15(xe)-.15 G(cuting).15 E F1(command)2.519 E F0 .02
+F2(`)A(Bash)108 420 Q F0 .02(performs the e)2.52 F .02(xpansion by e)
+-.15 F -.15(xe)-.15 G(cuting).15 E F1(command)2.519 E F0 .019
 (and replacing the command substitution with the stan-)2.519 F .768
 (dard output of the command, with an)108 432 R 3.268(yt)-.15 G .768
 (railing ne)-3.268 F .768(wlines deleted.)-.25 F .768(Embedded ne)5.768
-F .768(wlines are not deleted, b)-.25 F(ut)-.2 E(the)108 444 Q 3.218(ym)
--.15 G .718(ay be remo)-3.218 F -.15(ve)-.15 G 3.218(dd).15 G .719
-(uring w)-3.218 F .719(ord splitting.)-.1 F .719
+F .768(wlines are not deleted, b)-.25 F(ut)-.2 E(the)108 444 Q 3.219(ym)
+-.15 G .719(ay be remo)-3.219 F -.15(ve)-.15 G 3.219(dd).15 G .719
+(uring w)-3.219 F .719(ord splitting.)-.1 F .719
 (The command substitution)5.719 F F2($\(cat)3.219 E F1(\214le)3.219 E F2
-(\))A F0 .719(can be replaced by the)3.219 F(equi)108 456 Q -.25(va)-.25
+(\))A F0 .718(can be replaced by the)3.219 F(equi)108 456 Q -.25(va)-.25
 G(lent b).25 E(ut f)-.2 E(aster)-.1 E F2($\(<)2.5 E F1(\214le)2.5 E F2
 (\))A F0(.)A 1.724(When the old-style backquote form of substitution is\
  used, backslash retains its literal meaning e)108 472.8 R(xcept)-.15 E
-.314(when follo)108 484.8 R .314(wed by)-.25 F F2($)2.814 E F0(,)A F2(`)
-2.814 E F0 2.814(,o)C(r)-2.814 E F2(\\)2.814 E F0 5.314(.T)C .315(he \
+.315(when follo)108 484.8 R .315(wed by)-.25 F F2($)2.815 E F0(,)A F2(`)
+2.815 E F0 2.815(,o)C(r)-2.815 E F2(\\)2.815 E F0 5.315(.T)C .314(he \
 \214rst backquote not preceded by a backslash terminates the command su\
-b-)-5.314 F 3.887(stitution. When)108 496.8 R 1.387(using the $\()3.887
-F F1(command).833 E F0 3.887(\)f)1.666 G 1.386
-(orm, all characters between the parentheses mak)-3.887 F 3.886(eu)-.1 G
-3.886(pt)-3.886 G 1.386(he com-)-3.886 F
+b-)-5.315 F 3.886(stitution. When)108 496.8 R 1.386(using the $\()3.886
+F F1(command).833 E F0 3.886(\)f)1.666 G 1.387
+(orm, all characters between the parentheses mak)-3.886 F 3.887(eu)-.1 G
+3.887(pt)-3.887 G 1.387(he com-)-3.887 F
 (mand; none are treated specially)108 508.8 Q(.)-.65 E .894
 (Command substitutions may be nested.)108 525.6 R 2.494 -.8(To n)5.894 H
 .894(est when using the backquoted form, escape the inner back-).8 F
 (quotes with backslashes.)108 537.6 Q .422
 (If the substitution appears within double quotes, w)108 554.4 R .422
-(ord splitting and pathname e)-.1 F .422(xpansion are not performed)-.15
+(ord splitting and pathname e)-.1 F .423(xpansion are not performed)-.15
 F(on the results.)108 566.4 Q F2(Arithmetic Expansion)87 583.2 Q F0
-1.034(Arithmetic e)108 595.2 R 1.034(xpansion allo)-.15 F 1.034
+1.035(Arithmetic e)108 595.2 R 1.035(xpansion allo)-.15 F 1.035
 (ws the e)-.25 F -.25(va)-.25 G 1.034(luation of an arithmetic e).25 F
-1.035(xpression and the substitution of the result.)-.15 F
+1.034(xpression and the substitution of the result.)-.15 F
 (The format for arithmetic e)108 607.2 Q(xpansion is:)-.15 E F2($\(\()
 144 624 Q F1 -.2(ex)C(pr).2 E(ession)-.37 E F2(\)\))A F0(The)108 640.8 Q
-F1 -.2(ex)2.666 G(pr).2 E(ession)-.37 E F0 .165
-(is treated as if it were within double quotes, b)2.906 F .165
-(ut a double quote inside the parentheses is not)-.2 F 1.074
-(treated specially)108 652.8 R 6.074(.A)-.65 G 1.074(ll tok)-6.074 F
+F1 -.2(ex)2.665 G(pr).2 E(ession)-.37 E F0 .165
+(is treated as if it were within double quotes, b)2.905 F .166
+(ut a double quote inside the parentheses is not)-.2 F 1.075
+(treated specially)108 652.8 R 6.075(.A)-.65 G 1.074(ll tok)-6.075 F
 1.074(ens in the e)-.1 F 1.074(xpression under)-.15 F 1.074
-(go parameter e)-.18 F 1.074(xpansion, string e)-.15 F 1.075
+(go parameter e)-.18 F 1.074(xpansion, string e)-.15 F 1.074
 (xpansion, command)-.15 F(substitution, and quote remo)108 664.8 Q -.25
 (va)-.15 G 2.5(l. Arithmetic).25 F -.15(ex)2.5 G
-(pansions may be nested.).15 E 1.379(The e)108 681.6 R -.25(va)-.25 G
+(pansions may be nested.).15 E 1.378(The e)108 681.6 R -.25(va)-.25 G
 1.378(luation is performed according to the rules listed belo).25 F
 3.878(wu)-.25 G(nder)-3.878 E/F3 9/Times-Bold@0 SF 1.378(ARITHMETIC EV)
 3.878 F(ALU)-1.215 E -.855(AT)-.54 G(ION).855 E/F4 9/Times-Roman@0 SF(.)
-A F0(If)5.878 E F1 -.2(ex)108 693.6 S(pr).2 E(ession)-.37 E F0(is in)
+A F0(If)5.879 E F1 -.2(ex)108 693.6 S(pr).2 E(ession)-.37 E F0(is in)
 2.74 E -.25(va)-.4 G(lid,).25 E F2(bash)2.5 E F0
 (prints a message indicating f)2.5 E(ailure and no substitution occurs.)
--.1 E(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(19)185.955 E 0 Cg
-EP
+-.1 E(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(19)190.95 E 0 Cg EP
 %%Page: 20 20
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E/F1 10/Times-Bold@0 SF(Pr)87 84 Q(ocess Substitution)-.18 E/F2 10
-/Times-Italic@0 SF(Pr)108 96 Q .97(ocess substitution)-.45 F F0 .971
-(is supported on systems that support named pipes \()3.47 F F2(FIFOs)A
-F0 3.471(\)o)C 3.471(rt)-3.471 G(he)-3.471 E F1(/de)3.471 E(v/fd)-.15 E
-F0 .971(method of)3.471 F .022(naming open \214les.)108 108 R .021
-(It tak)5.022 F .021(es the form of)-.1 F F1(<\()2.521 E F2(list)A F1
-(\)).833 E F0(or)2.521 E F1(>\()2.521 E F2(list)A F1(\)).833 E F0 5.021
-(.T)C .021(he process)-5.021 F F2(list)2.521 E F0 .021
-(is run with its input or output con-)2.521 F .058(nected to a)108 120 R
-F2(FIFO)2.558 E F0 .058(or some \214le in)2.558 F F1(/de)2.558 E(v/fd)
+/Times-Italic@0 SF(Pr)108 96 Q .971(ocess substitution)-.45 F F0 .971
+(is supported on systems that support named pipes \()3.471 F F2(FIFOs)A
+F0 3.47(\)o)C 3.47(rt)-3.47 G(he)-3.47 E F1(/de)3.47 E(v/fd)-.15 E F0
+.97(method of)3.47 F .021(naming open \214les.)108 108 R .021(It tak)
+5.021 F .021(es the form of)-.1 F F1(<\()2.521 E F2(list)A F1(\)).833 E
+F0(or)2.521 E F1(>\()2.521 E F2(list)A F1(\)).833 E F0 5.021(.T)C .021
+(he process)-5.021 F F2(list)2.521 E F0 .021
+(is run with its input or output con-)2.521 F .059(nected to a)108 120 R
+F2(FIFO)2.559 E F0 .058(or some \214le in)2.559 F F1(/de)2.558 E(v/fd)
 -.15 E F0 5.058(.T)C .058(he name of this \214le is passed as an ar)
--5.058 F .059(gument to the current com-)-.18 F .131
-(mand as the result of the e)108 132 R 2.631(xpansion. If)-.15 F(the)
-2.63 E F1(>\()2.63 E F2(list)A F1(\)).833 E F0 .13
-(form is used, writing to the \214le will pro)2.63 F .13(vide input for)
--.15 F F2(list)2.63 E F0(.)A(If the)108 144 Q F1(<\()2.5 E F2(list)A F1
-(\)).833 E F0(form is used, the \214le passed as an ar)2.5 E
+-5.058 F .058(gument to the current com-)-.18 F .13
+(mand as the result of the e)108 132 R 2.63(xpansion. If)-.15 F(the)2.63
+E F1(>\()2.63 E F2(list)A F1(\)).833 E F0 .13
+(form is used, writing to the \214le will pro)2.63 F .131
+(vide input for)-.15 F F2(list)2.631 E F0(.)A(If the)108 144 Q F1(<\()
+2.5 E F2(list)A F1(\)).833 E F0
+(form is used, the \214le passed as an ar)2.5 E
 (gument should be read to obtain the output of)-.18 E F2(list)2.5 E F0
-(.)A .896(When a)108 160.8 R -.25(va)-.2 G .896(ilable, process substit\
-ution is performed simultaneously with parameter and v).25 F .897
+(.)A .897(When a)108 160.8 R -.25(va)-.2 G .896(ilable, process substit\
+ution is performed simultaneously with parameter and v).25 F .896
 (ariable e)-.25 F(xpansion,)-.15 E
 (command substitution, and arithmetic e)108 172.8 Q(xpansion.)-.15 E F1
--.75(Wo)87 189.6 S(rd Splitting).75 E F0 1.143
-(The shell scans the results of parameter e)108 201.6 R 1.142
-(xpansion, command substitution, and arithmetic e)-.15 F 1.142
+-.75(Wo)87 189.6 S(rd Splitting).75 E F0 1.142
+(The shell scans the results of parameter e)108 201.6 R 1.143
+(xpansion, command substitution, and arithmetic e)-.15 F 1.143
 (xpansion that)-.15 F(did not occur within double quotes for)108 213.6 Q
 F2(wor)2.5 E 2.5(ds)-.37 G(plitting)-2.5 E F0(.).22 E .063
 (The shell treats each character of)108 230.4 R/F3 9/Times-Bold@0 SF
 (IFS)2.563 E F0 .063(as a delimiter)2.313 F 2.563(,a)-.4 G .063
 (nd splits the results of the other e)-2.563 F .063(xpansions into w)
--.15 F(ords)-.1 E 1.789(on these characters.)108 242.4 R(If)6.789 E F3
-(IFS)4.289 E F0 1.788(is unset, or its v)4.039 F 1.788(alue is e)-.25 F
-(xactly)-.15 E F1(<space><tab><newline>)4.288 E F0 4.288(,t)C 1.788
-(he def)-4.288 F 1.788(ault, then)-.1 F .021(sequences of)108 254.4 R F1
-(<space>)2.521 E F0(,)A F1(<tab>)2.521 E F0 2.521(,a)C(nd)-2.521 E F1
+-.15 F(ords)-.1 E 1.788(on these characters.)108 242.4 R(If)6.788 E F3
+(IFS)4.288 E F0 1.788(is unset, or its v)4.038 F 1.789(alue is e)-.25 F
+(xactly)-.15 E F1(<space><tab><newline>)4.289 E F0 4.289(,t)C 1.789
+(he def)-4.289 F 1.789(ault, then)-.1 F .022(sequences of)108 254.4 R F1
+(<space>)2.522 E F0(,)A F1(<tab>)2.522 E F0 2.521(,a)C(nd)-2.521 E F1
 (<newline>)2.521 E F0 .021(at the be)2.521 F .021
-(ginning and end of the results of the pre)-.15 F .022(vious e)-.25 F
-(xpan-)-.15 E .586(sions are ignored, and an)108 266.4 R 3.086(ys)-.15 G
+(ginning and end of the results of the pre)-.15 F .021(vious e)-.25 F
+(xpan-)-.15 E .585(sions are ignored, and an)108 266.4 R 3.086(ys)-.15 G
 .586(equence of)-3.086 F F3(IFS)3.086 E F0 .586
-(characters not at the be)2.836 F .586(ginning or end serv)-.15 F .585
+(characters not at the be)2.836 F .586(ginning or end serv)-.15 F .586
 (es to delimit w)-.15 F(ords.)-.1 E(If)108 278.4 Q F3(IFS)3.617 E F0
 1.117(has a v)3.367 F 1.117(alue other than the def)-.25 F 1.117
 (ault, then sequences of the whitespace characters)-.1 F F1(space)3.617
 E F0(and)3.617 E F1(tab)3.617 E F0(are)3.617 E .315(ignored at the be)
 108 290.4 R .315(ginning and end of the w)-.15 F .315
 (ord, as long as the whitespace character is in the v)-.1 F .315
-(alue of)-.25 F F3(IFS)2.815 E F0(\(an)2.565 E F3(IFS)108 302.4 Q F0
-1.053(whitespace character\).)3.303 F(An)6.053 E 3.553(yc)-.15 G 1.053
-(haracter in)-3.553 F F3(IFS)3.553 E F0 1.053(that is not)3.303 F F3
-(IFS)3.553 E F0 1.054(whitespace, along with an)3.304 F 3.554(ya)-.15 G
-(djacent)-3.554 E F3(IFS)3.554 E F0 .332
-(whitespace characters, delimits a \214eld.)108 314.4 R 2.832(As)5.332 G
-.332(equence of)-2.832 F F3(IFS)2.832 E F0 .331
+(alue of)-.25 F F3(IFS)2.815 E F0(\(an)2.566 E F3(IFS)108 302.4 Q F0
+1.054(whitespace character\).)3.304 F(An)6.054 E 3.554(yc)-.15 G 1.054
+(haracter in)-3.554 F F3(IFS)3.554 E F0 1.053(that is not)3.303 F F3
+(IFS)3.553 E F0 1.053(whitespace, along with an)3.303 F 3.553(ya)-.15 G
+(djacent)-3.553 E F3(IFS)3.553 E F0 .331
+(whitespace characters, delimits a \214eld.)108 314.4 R 2.831(As)5.331 G
+.332(equence of)-2.831 F F3(IFS)2.832 E F0 .332
 (whitespace characters is also treated as a delim-)2.582 F(iter)108
 326.4 Q 5(.I)-.55 G 2.5(ft)-5 G(he v)-2.5 E(alue of)-.25 E F3(IFS)2.5 E
-F0(is null, no w)2.25 E(ord splitting occurs.)-.1 E 1.878
-(Explicit null ar)108 343.2 R 1.878(guments \()-.18 F F1 .833("").833 G
+F0(is null, no w)2.25 E(ord splitting occurs.)-.1 E 1.879
+(Explicit null ar)108 343.2 R 1.879(guments \()-.18 F F1 .833("").833 G
 F0(or)3.545 E F1 .833<0808>5.211 G F0 4.378(\)a)C 1.878(re retained.)
--4.378 F 1.878(Unquoted implicit null ar)6.878 F 1.879
-(guments, resulting from the)-.18 F -.15(ex)108 355.2 S .177
-(pansion of parameters that ha).15 F .477 -.15(ve n)-.2 H 2.677(ov).15 G
-.177(alues, are remo)-2.927 F -.15(ve)-.15 G 2.676(d. If).15 F 2.676(ap)
-2.676 G .176(arameter with no v)-2.676 F .176(alue is e)-.25 F .176
+-4.378 F 1.878(Unquoted implicit null ar)6.878 F 1.878
+(guments, resulting from the)-.18 F -.15(ex)108 355.2 S .176
+(pansion of parameters that ha).15 F .476 -.15(ve n)-.2 H 2.676(ov).15 G
+.176(alues, are remo)-2.926 F -.15(ve)-.15 G 2.676(d. If).15 F 2.677(ap)
+2.677 G .177(arameter with no v)-2.677 F .177(alue is e)-.25 F .177
 (xpanded within)-.15 F(double quotes, a null ar)108 367.2 Q
 (gument results and is retained.)-.18 E(Note that if no e)108 384 Q
 (xpansion occurs, no splitting is performed.)-.15 E F1 -.1(Pa)87 400.8 S
-(thname Expansion).1 E F0 .37(After w)108 412.8 R .37
-(ord splitting, unless the)-.1 F F1<ad66>2.87 E F0 .37
-(option has been set,)2.87 F F1(bash)2.87 E F0 .371(scans each w)2.871 F
-.371(ord for the characters)-.1 F F1(*)2.871 E F0(,)A F1(?)2.871 E F0
-2.871(,a)C(nd)-2.871 E F1([)2.871 E F0(.)A .678
+(thname Expansion).1 E F0 .371(After w)108 412.8 R .371
+(ord splitting, unless the)-.1 F F1<ad66>2.871 E F0 .371
+(option has been set,)2.871 F F1(bash)2.871 E F0 .37(scans each w)2.87 F
+.37(ord for the characters)-.1 F F1(*)2.87 E F0(,)A F1(?)2.87 E F0 2.87
+(,a)C(nd)-2.87 E F1([)2.87 E F0(.)A .677
 (If one of these characters appears, then the w)108 424.8 R .677
 (ord is re)-.1 F -.05(ga)-.15 G .677(rded as a).05 F F2(pattern)3.177 E
-F0 3.177(,a).24 G .677(nd replaced with an alphabeti-)-3.177 F 1.456
+F0 3.177(,a).24 G .678(nd replaced with an alphabeti-)-3.177 F 1.457
 (cally sorted list of \214le names matching the pattern.)108 436.8 R
-1.457(If no matching \214le names are found, and the shell)6.457 F
+1.456(If no matching \214le names are found, and the shell)6.457 F
 (option)108 448.8 Q F1(nullglob)3.265 E F0 .765(is disabled, the w)3.265
 F .765(ord is left unchanged.)-.1 F .765(If the)5.765 F F1(nullglob)
-3.265 E F0 .765(option is set, and no matches are)3.265 F .305
-(found, the w)108 460.8 R .305(ord is remo)-.1 F -.15(ve)-.15 G 2.805
+3.265 E F0 .765(option is set, and no matches are)3.265 F .306
+(found, the w)108 460.8 R .306(ord is remo)-.1 F -.15(ve)-.15 G 2.806
 (d. If).15 F(the)2.805 E F1(failglob)2.805 E F0 .305
 (shell option is set, and no matches are found, an error message)2.805 F
-.929(is printed and the command is not e)108 472.8 R -.15(xe)-.15 G
+.928(is printed and the command is not e)108 472.8 R -.15(xe)-.15 G
 3.428(cuted. If).15 F .928(the shell option)3.428 F F1(nocaseglob)3.428
-E F0 .928(is enabled, the match is per)3.428 F(-)-.2 E .032
-(formed without re)108 484.8 R -.05(ga)-.15 G .032
-(rd to the case of alphabetic characters.).05 F .033
-(When a pattern is used for pathname e)5.033 F(xpansion,)-.15 E .105
-(the character)108 496.8 R F1 -.63(``)2.605 G -.55(.').63 G(')-.08 E F0
-.105(at the start of a name or immediately follo)5.105 F .104
-(wing a slash must be matched e)-.25 F(xplicitly)-.15 E 2.604(,u)-.65 G
-(nless)-2.604 E .887(the shell option)108 508.8 R F1(dotglob)3.387 E F0
-.887(is set.)3.387 F .888
-(When matching a pathname, the slash character must al)5.887 F -.1(wa)
--.1 G .888(ys be matched).1 F -.15(ex)108 520.8 S(plicitly).15 E 6.166
-(.I)-.65 G 3.666(no)-6.166 G 1.166(ther cases, the)-3.666 F F1 -.63(``)
-3.666 G -.55(.').63 G(')-.08 E F0 1.166
-(character is not treated specially)6.166 F 6.165(.S)-.65 G 1.165
-(ee the description of)-6.165 F F1(shopt)3.665 E F0(belo)3.665 E(w)-.25
-E(under)108 532.8 Q F3 .477(SHELL B)2.977 F(UIL)-.09 E .477
-(TIN COMMANDS)-.828 F F0 .477(for a description of the)2.727 F F1
-(nocaseglob)2.978 E F0(,)A F1(nullglob)2.978 E F0(,)A F1(failglob)2.978
-E F0 2.978(,a)C(nd)-2.978 E F1(dotglob)2.978 E F0(shell options.)108
-544.8 Q(The)108 561.6 Q F3(GLOBIGNORE)2.631 E F0 .131(shell v)2.381 F
-.131(ariable may be used to restrict the set of \214le names matching a)
--.25 F F2(pattern)2.63 E F0 5.13(.I).24 G(f)-5.13 E F3(GLO-)2.63 E
+E F0 .929(is enabled, the match is per)3.429 F(-)-.2 E .033
+(formed without re)108 484.8 R -.05(ga)-.15 G .033
+(rd to the case of alphabetic characters.).05 F .032
+(When a pattern is used for pathname e)5.032 F(xpansion,)-.15 E .104
+(the character)108 496.8 R F1 -.63(``)2.604 G -.55(.').63 G(')-.08 E F0
+.104(at the start of a name or immediately follo)5.104 F .105
+(wing a slash must be matched e)-.25 F(xplicitly)-.15 E 2.605(,u)-.65 G
+(nless)-2.605 E .888(the shell option)108 508.8 R F1(dotglob)3.388 E F0
+.888(is set.)3.388 F .887
+(When matching a pathname, the slash character must al)5.888 F -.1(wa)
+-.1 G .887(ys be matched).1 F -.15(ex)108 520.8 S(plicitly).15 E 6.165
+(.I)-.65 G 3.665(no)-6.165 G 1.165(ther cases, the)-3.665 F F1 -.63(``)
+3.665 G -.55(.').63 G(')-.08 E F0 1.166
+(character is not treated specially)6.165 F 6.166(.S)-.65 G 1.166
+(ee the description of)-6.166 F F1(shopt)3.666 E F0(belo)3.666 E(w)-.25
+E(under)108 532.8 Q F3 .478(SHELL B)2.978 F(UIL)-.09 E .478
+(TIN COMMANDS)-.828 F F0 .477(for a description of the)2.728 F F1
+(nocaseglob)2.977 E F0(,)A F1(nullglob)2.977 E F0(,)A F1(failglob)2.977
+E F0 2.977(,a)C(nd)-2.977 E F1(dotglob)2.977 E F0(shell options.)108
+544.8 Q(The)108 561.6 Q F3(GLOBIGNORE)2.63 E F0 .13(shell v)2.38 F .131
+(ariable may be used to restrict the set of \214le names matching a)-.25
+F F2(pattern)2.631 E F0 5.131(.I).24 G(f)-5.131 E F3(GLO-)2.631 E
 (BIGNORE)108 573.6 Q F0 2.015(is set, each matching \214le name that al\
-so matches one of the patterns in)4.264 F F3(GLOBIGNORE)4.515 E F0(is)
-4.265 E(remo)108 585.6 Q -.15(ve)-.15 G 2.504(df).15 G .004
-(rom the list of matches.)-2.504 F .003(The \214le names)5.003 F F1 -.63
+so matches one of the patterns in)4.265 F F3(GLOBIGNORE)4.515 E F0(is)
+4.264 E(remo)108 585.6 Q -.15(ve)-.15 G 2.503(df).15 G .003
+(rom the list of matches.)-2.503 F .003(The \214le names)5.003 F F1 -.63
 (``)2.503 G -.55(.').63 G(')-.08 E F0(and)5.003 E F1 -.63(``)2.503 G(..)
-.63 E -.63('')-.55 G F0 .003(are al)5.633 F -.1(wa)-.1 G .003
-(ys ignored when).1 F F3(GLOBIGNORE)2.503 E F0(is)2.253 E .045
-(set and not null.)108 597.6 R(Ho)5.045 E(we)-.25 E -.15(ve)-.25 G .845
--.4(r, s).15 H(etting).4 E F3(GLOBIGNORE)2.545 E F0 .046
-(to a non-null v)2.296 F .046(alue has the ef)-.25 F .046
-(fect of enabling the)-.25 F F1(dotglob)2.546 E F0 .614
+.63 E -.63('')-.55 G F0 .004(are al)5.633 F -.1(wa)-.1 G .004
+(ys ignored when).1 F F3(GLOBIGNORE)2.504 E F0(is)2.254 E .046
+(set and not null.)108 597.6 R(Ho)5.046 E(we)-.25 E -.15(ve)-.25 G .846
+-.4(r, s).15 H(etting).4 E F3(GLOBIGNORE)2.546 E F0 .046
+(to a non-null v)2.296 F .045(alue has the ef)-.25 F .045
+(fect of enabling the)-.25 F F1(dotglob)2.545 E F0 .613
 (shell option, so all other \214le names be)108 609.6 R .614
 (ginning with a)-.15 F F1 -.63(``)3.114 G -.55(.').63 G(')-.08 E F0 .614
-(will match.)5.614 F 2.213 -.8(To g)5.614 H .613(et the old beha).8 F
-.613(vior of ignoring)-.2 F .456(\214le names be)108 621.6 R .456
+(will match.)5.614 F 2.214 -.8(To g)5.614 H .614(et the old beha).8 F
+.614(vior of ignoring)-.2 F .457(\214le names be)108 621.6 R .457
 (ginning with a)-.15 F F1 -.63(``)2.957 G -.55(.').63 G(')-.08 E F0
 2.957(,m)C(ak)-2.957 E(e)-.1 E F1 -.63(``)2.957 G(.*').63 E(')-.63 E F0
 .457(one of the patterns in)5.457 F F3(GLOBIGNORE)2.957 E/F4 9
-/Times-Roman@0 SF(.)A F0(The)4.957 E F1(dotglob)2.957 E F0 .457
-(option is)2.957 F(disabled when)108 633.6 Q F3(GLOBIGNORE)2.5 E F0
+/Times-Roman@0 SF(.)A F0(The)4.957 E F1(dotglob)2.956 E F0 .456
+(option is)2.956 F(disabled when)108 633.6 Q F3(GLOBIGNORE)2.5 E F0
 (is unset.)2.25 E F1 -.1(Pa)108 650.4 S(tter).1 E 2.5(nM)-.15 G(atching)
 -2.5 E F0(An)108 667.2 Q 3.138(yc)-.15 G .638(haracter that appears in \
 a pattern, other than the special pattern characters described belo)
@@ -2629,7 +2631,7 @@ R 1.12(NUL character may not occur in a pattern.)3.62 F 3.62(Ab)6.12 G
 -.15 G(re)-3.076 E(to be matched literally)108 703.2 Q(.)-.65 E
 (The special pattern characters ha)108 720 Q .3 -.15(ve t)-.2 H
 (he follo).15 E(wing meanings:)-.25 E(GNU Bash-3.2)72 768 Q
-(2006 December 26)135.965 E(20)185.955 E 0 Cg EP
+(2007 January 12)140.96 E(20)190.95 E 0 Cg EP
 %%Page: 21 21
 %%BeginPageSetup
 BP
@@ -2638,53 +2640,53 @@ BP
 -.35 E/F1 10/Times-Bold@0 SF(*)108 84 Q F0(Matches an)31 E 2.5(ys)-.15 G
 (tring, including the null string.)-2.5 E F1(?)108 96 Q F0(Matches an)31
 E 2.5(ys)-.15 G(ingle character)-2.5 E(.)-.55 E F1([...])108 108 Q F0
-.256(Matches an)21.84 F 2.756(yo)-.15 G .257
-(ne of the enclosed characters.)-2.756 F 2.757(Ap)5.257 G .257
-(air of characters separated by a h)-2.757 F .257(yphen denotes a)-.05 F
-/F2 10/Times-Italic@0 SF -.15(ra)144 120 S(ng).15 E 3.29(ee)-.1 G(xpr)
--3.49 E(ession)-.37 E F0 3.29(;a)C 1.09 -.15(ny c)-3.29 H .789
+.257(Matches an)21.84 F 2.757(yo)-.15 G .257
+(ne of the enclosed characters.)-2.757 F 2.757(Ap)5.257 G .257
+(air of characters separated by a h)-2.757 F .256(yphen denotes a)-.05 F
+/F2 10/Times-Italic@0 SF -.15(ra)144 120 S(ng).15 E 3.289(ee)-.1 G(xpr)
+-3.489 E(ession)-.37 E F0 3.289(;a)C 1.089 -.15(ny c)-3.289 H .789
 (haracter that sorts between those tw).15 F 3.289(oc)-.1 G .789
-(haracters, inclusi)-3.289 F -.15(ve)-.25 G 3.289(,u).15 G .789
-(sing the cur)-3.289 F(-)-.2 E .349(rent locale')144 132 R 2.849(sc)-.55
-G .349(ollating sequence and character set, is matched.)-2.849 F .35
-(If the \214rst character follo)5.349 F .35(wing the)-.25 F F1([)2.85 E
-F0 .564(is a)144 144 R F1(!)3.064 E F0 .564(or a)5.564 F F1(^)3.064 E F0
-.564(then an)3.064 F 3.064(yc)-.15 G .564
-(haracter not enclosed is matched.)-3.064 F .563
+(haracters, inclusi)-3.289 F -.15(ve)-.25 G 3.29(,u).15 G .79
+(sing the cur)-3.29 F(-)-.2 E .35(rent locale')144 132 R 2.85(sc)-.55 G
+.35(ollating sequence and character set, is matched.)-2.85 F .349
+(If the \214rst character follo)5.349 F .349(wing the)-.25 F F1([)2.849
+E F0 .563(is a)144 144 R F1(!)3.063 E F0 .563(or a)5.563 F F1(^)3.063 E
+F0 .564(then an)3.063 F 3.064(yc)-.15 G .564
+(haracter not enclosed is matched.)-3.064 F .564
 (The sorting order of characters in range)5.564 F -.15(ex)144 156 S
 1.102(pressions is determined by the current locale and the v).15 F
-1.102(alue of the)-.25 F F1(LC_COLLA)3.602 E(TE)-.95 E F0 1.103(shell v)
-3.603 F(ari-)-.25 E .089(able, if set.)144 168 R(A)5.089 E F1<ad>2.589 E
+1.102(alue of the)-.25 F F1(LC_COLLA)3.602 E(TE)-.95 E F0 1.102(shell v)
+3.602 F(ari-)-.25 E .088(able, if set.)144 168 R(A)5.088 E F1<ad>2.588 E
 F0 .088(may be matched by including it as the \214rst or last character\
- in the set.)2.589 F(A)5.088 E F1(])2.588 E F0 .088(may be)2.588 F
+ in the set.)2.588 F(A)5.089 E F1(])2.589 E F0 .089(may be)2.589 F
 (matched by including it as the \214rst character in the set.)144 180 Q
--.4(Wi)144 198 S(thin).4 E F1([)2.914 E F0(and)2.914 E F1(])2.914 E F0
-(,)A F2 -.15(ch)2.914 G(ar).15 E .414(acter classes)-.15 F F0 .415
+-.4(Wi)144 198 S(thin).4 E F1([)2.915 E F0(and)2.915 E F1(])2.915 E F0
+(,)A F2 -.15(ch)2.915 G(ar).15 E .415(acter classes)-.15 F F0 .415
 (can be speci\214ed using the syntax)2.915 F F1([:)2.915 E F2(class)A F1
-(:])A F0 2.915(,w)C(here)-2.915 E F2(class)2.915 E F0 .415(is one of)
-2.915 F(the follo)144 210 Q
+(:])A F0 2.914(,w)C(here)-2.914 E F2(class)2.914 E F0 .414(is one of)
+2.914 F(the follo)144 210 Q
 (wing classes de\214ned in the POSIX standard:)-.25 E F1 5.421
 (alnum alpha ascii blank cntrl digit graph lo)144 222 R 5.421
-(wer print punct space upper w)-.1 F(ord)-.1 E(xdigit)144 234 Q F0 2.518
-(Ac)144 246 S .018(haracter class matches an)-2.518 F 2.518(yc)-.15 G
-.019(haracter belonging to that class.)-2.518 F(The)5.019 E F1 -.1(wo)
-2.519 G(rd).1 E F0 .019(character class matches)2.519 F
+(wer print punct space upper w)-.1 F(ord)-.1 E(xdigit)144 234 Q F0 2.519
+(Ac)144 246 S .019(haracter class matches an)-2.519 F 2.519(yc)-.15 G
+.019(haracter belonging to that class.)-2.519 F(The)5.018 E F1 -.1(wo)
+2.518 G(rd).1 E F0 .018(character class matches)2.518 F
 (letters, digits, and the character _.)144 258 Q -.4(Wi)144 276 S(thin)
-.4 E F1([)3.547 E F0(and)3.547 E F1(])3.547 E F0 3.547(,a)C(n)-3.547 E
+.4 E F1([)3.546 E F0(and)3.546 E F1(])3.546 E F0 3.546(,a)C(n)-3.546 E
 F2 1.046(equivalence class)3.546 F F0 1.046
-(can be speci\214ed using the syntax)3.546 F F1([=)3.546 E F2(c)A F1(=])
-A F0 3.546(,w)C 1.046(hich matches all)-3.546 F(characters with the sam\
+(can be speci\214ed using the syntax)3.546 F F1([=)3.547 E F2(c)A F1(=])
+A F0 3.547(,w)C 1.047(hich matches all)-3.547 F(characters with the sam\
 e collation weight \(as de\214ned by the current locale\) as the charac\
 ter)144 288 Q F2(c)2.5 E F0(.)A -.4(Wi)144 306 S(thin).4 E F1([)2.5 E F0
 (and)2.5 E F1(])2.5 E F0 2.5(,t)C(he syntax)-2.5 E F1([.)2.5 E F2
 (symbol)A F1(.])A F0(matches the collating symbol)2.5 E F2(symbol)2.5 E
-F0(.)A .704(If the)108 322.8 R F1(extglob)3.204 E F0 .705
-(shell option is enabled using the)3.204 F F1(shopt)3.205 E F0 -.2(bu)
-3.205 G .705(iltin, se).2 F -.15(ve)-.25 G .705(ral e).15 F .705
-(xtended pattern matching operators)-.15 F .256(are recognized.)108
-334.8 R .256(In the follo)5.256 F .256(wing description, a)-.25 F F2
+F0(.)A .705(If the)108 322.8 R F1(extglob)3.205 E F0 .705
+(shell option is enabled using the)3.205 F F1(shopt)3.205 E F0 -.2(bu)
+3.205 G .704(iltin, se).2 F -.15(ve)-.25 G .704(ral e).15 F .704
+(xtended pattern matching operators)-.15 F .255(are recognized.)108
+334.8 R .255(In the follo)5.255 F .255(wing description, a)-.25 F F2
 (pattern-list)2.755 E F0 .255
-(is a list of one or more patterns separated by a)2.755 F F1(|)2.755 E
+(is a list of one or more patterns separated by a)2.755 F F1(|)2.756 E
 F0(.)A(Composite patterns may be formed using one or more of the follo)
 108 346.8 Q(wing sub-patterns:)-.25 E F1(?\()144 370.8 Q F2
 (pattern-list).833 E F1(\)).833 E F0
